Giter VIP home page Giter VIP logo

logmein-linux-host's People

Contributors

aszucs74 avatar dependabot[bot] avatar janoskk avatar yoyos06 avatar

Stargazers

 avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar

Watchers

 avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar

logmein-linux-host's Issues

Just the terminal?

So does this just allow for access to the terminal or would we be able to open a desktop remotely as well?

Errors were encountered while processing: logmein-host

Any type I try to run a command using apt it always prints the following lines at the end:

>> sudo apt-get upgrade python3
...
Do you want to continue? [Y/n] y
Setting up logmein-host (1.0.33-1) ...
Error during getting the deploy info: ERROR:6
Invalid DeployId:xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
dpkg: error processing package logmein-host (--configure):
 installed logmein-host package post-installation script subprocess returned error exit status 1
Errors were encountered while processing:
 logmein-host
E: Sub-process /usr/bin/dpkg returned an error code (1)

GPG Error

When I update my linux, I received the following error:
エラー:43 https://repository.services.logmein.com/linux stable Release
Certificate verification failed: The certificate is NOT trusted. The certificate chain uses expired certificate. Could not handshake: Error in the certificate verification. [IP: 52.165.168.40 443]

Could someone please fix it?
Thanks.

Install path for vnc script

I found the instructions path in Readme.md to be incorrect:

sudo /snap/logmein/current/setup-vnc.sh --install
should be:
sudo /snap/logmein-host/current/setup-vnc.sh --install

Change wording in the logs

Change the following wording in the logs to be similar to the documentation:

License file not found! Please register first.

SSH on alternate port

SSH is running on an alternate port (2223)

I can connect to the system, but it wants to connect on the default port 22, so I am denied access.

Is there a way to connect to an alternate port? If no, that would be a great feature update!

Thanks!

Issues with APT package

The .deb file works differently than the instructions listed in this repo. Unless the logic within is completely different, there is no tty for LMI to connect to. The manual instructions in the git repo have the user start pytty first, and then run the logmein-host. There is nothing in the Init script or the Python script that references pytty, so unless the .py file is opening a tty in a different method, it will not work. When installing the .deb package I see my system in my LMI console, but I cannot connect. When I run it with the scripts and instructions from this repo, it does work.

I have downloaded pytty from the repo and modified the Init script included in the .deb package to include logic for starting pytty. After making my changes, I can connect to the system and also run this as a service (using systemctl). I am using Kali Linux, not Ubuntu or straight Debian, so I don't know if that makes a difference.

Below is my modified Init script. If you use it, be sure to download pytty from this repo and modify the reference in the Init script to pytty to reflect wherever you save it.

NOTE: the logic here has not been terribly tested, and you will probably end up with a bunch of extra LMI processes running if something is not terminated properly. YMMV.

#!/bin/sh
### BEGIN INIT INFO
# Provides:          logmein-host
# Required-Start:    $local_fs $network $remote_fs $syslog
# Required-Stop:     $local_fs $remote_fs $syslog
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: Start LogMeIn host at boot time
# Description:       Enable service provided by LogMeIn host.
### END INIT INFO

set -e

# /etc/init.d/logmein-host: start and stop the LogMeIn host

dir="/usr/bin"
cmd="/usr/bin/python3 /usr/share/logmein-host/logmein_host.py --stdin --syslog"
user="logmein-host"

name=`basename $0`
pid_file="/var/run/$name.pid"
pytty_pid_file="/var/run/$name_pytty.pid"

umask 022

export LICENSE_FILE="/var/lib/logmein-host/license.dat"
if test -f /etc/default/logmein-host; then
    . /etc/default/logmein-host
fi
. /lib/lsb/init-functions

get_pid() {
    cat "$pid_file"
}

get_pid_pytty() {
    cat "$pytty_pid_file"
}

is_running() {
    [ -f "$pid_file" ] && ps -p `get_pid` > /dev/null 2>&1
}

is_running_pytty() {
    [ -f "$pytty_pid_file" ] && ps -p `get_pid_pytty` > /dev/null 2>&1
}

case "$1" in
    start)
    if is_running; then
        echo "Already started"
    else
        echo "Starting $name"
        cd "$dir"

        if [ ! -f "${LICENSE_FILE}" ]; then
            echo "License file not found under ${LICENSE_FILE}! Please register first."
            exit 1
        fi
        sudo -E -u "$user" $cmd < "${LICENSE_FILE}" >&2 &
	sudo -E -u "$user" python3 /root/Downloads/logmein-linux-host/pytty/pytty.py >&2 &

        echo $! > "$pid_file"
        if ! is_running; then
            echo "Unable to start, see /var/log/syslog"
            exit 1
        fi

        echo $! > "$pytty_pid_file"
        if ! is_running; then
            echo "Unable to start, see /var/log/syslog"
            exit 1
        fi
    fi
    ;;
    stop)
    if is_running; then
        echo -n "Stopping $name.."
        kill `get_pid`
	kill `get_pid_pytty`
        for i in 1 2 3 4 5 6 7 8 9 10
        # for i in `seq 10`
        do
            if ! is_running; then
                if ! is_running_pytty; then
			break
		fi
		#break
            fi

            echo -n "."
            sleep 1
        done
        echo

        if is_running; then
            echo "logmein-host not stopped; may still be shutting down or shutdown may have failed"
            exit 1
	elif is_running_pytty; then
            echo "pytty not stopped; may still be shutting down or shutdown may have failed"
            exit 1
        else
            echo "Stopped"
            if [ -f "$pid_file" ]; then
                rm "$pid_file"
            fi
            if [ -f "$pytty_pid_file" ]; then
                rm "$pytty_pid_file"
            fi
        fi
    else
        echo "Not running"
    fi
    ;;
    restart)
    $0 stop
    if is_running; then
        echo "logmein-host unable to stop, will not attempt to start"
        exit 1
    fi
    if is_running_pytty; then
        echo "pytty unable to stop, will not attempt to start"
        exit 1
    fi
    $0 start
    ;;
    force-reload)
    if is_running; then
	if is_running_pytty; then
	        $0 stop
        	$0 start
	        exit 0
	fi
    fi
    echo "Not running... so not reloaded."
    exit 1
    ;;
    status)
    if is_running; then
	if is_running_pytty; then
	        echo "logmein-host running"
	fi
    else
        echo "Stopped"
        exit 1
    fi
    ;;
    *)
    echo "Usage: $0 {start|stop|restart|status}"
    exit 1
    ;;
esac

exit 0

X11 Support

Is it possible to support X11 forwarding? We'd like to be able to connect to the terminal but also on some occasions view the X11 and see what's on screen.

Recommend Projects

  • React photo React

    A declarative, efficient, and flexible JavaScript library for building user interfaces.

  • Vue.js photo Vue.js

    🖖 Vue.js is a progressive, incrementally-adoptable JavaScript framework for building UI on the web.

  • Typescript photo Typescript

    TypeScript is a superset of JavaScript that compiles to clean JavaScript output.

  • TensorFlow photo TensorFlow

    An Open Source Machine Learning Framework for Everyone

  • Django photo Django

    The Web framework for perfectionists with deadlines.

  • D3 photo D3

    Bring data to life with SVG, Canvas and HTML. 📊📈🎉

Recommend Topics

  • javascript

    JavaScript (JS) is a lightweight interpreted programming language with first-class functions.

  • web

    Some thing interesting about web. New door for the world.

  • server

    A server is a program made to process requests and deliver data to clients.

  • Machine learning

    Machine learning is a way of modeling and interpreting data that allows a piece of software to respond intelligently.

  • Game

    Some thing interesting about game, make everyone happy.

Recommend Org

  • Facebook photo Facebook

    We are working to build community through open source technology. NB: members must have two-factor auth.

  • Microsoft photo Microsoft

    Open source projects and samples from Microsoft.

  • Google photo Google

    Google ❤️ Open Source for everyone.

  • D3 photo D3

    Data-Driven Documents codes.